VORDIUM DOCS
API Reference

JSON-RPC

Standard Ethereum JSON-RPC over HTTPS.

Endpointhttps://rpc.vordium.com
MethodPOST
Content-Typeapplication/json

Get block number

Bash
curl -X POST https://rpc.vordium.com \
  -H "Content-Type: application/json" \
  -d '{
    "jsonrpc": "2.0",
    "method": "eth_blockNumber",
    "params": [],
    "id": 1
  }'

Response:

JSON
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": "0x155a76"
}

Get balance

Bash
curl -X POST https://rpc.vordium.com \
  -H "Content-Type: application/json" \
  -d '{
    "jsonrpc": "2.0",
    "method": "eth_getBalance",
    "params": ["0x...", "latest"],
    "id": 1
  }'

Get chain ID

Bash
curl -X POST https://rpc.vordium.com \
  -H "Content-Type: application/json" \
  -d '{
    "jsonrpc": "2.0",
    "method": "eth_chainId",
    "params": [],
    "id": 1
  }'

Response: {"result": "0xae3f2"}

Supported methods